<?php

if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly
}

if(!function_exists('cassini_setup_metaboxes')){
	function cassini_setup_metaboxes(){
		if(!function_exists('lastudio_kit_post_meta')){
			return;
		}
		lastudio_kit_post_meta()->add_options( array (
			'id'            => 'cassini-portfolio-settings',
			'title'         => esc_html__( 'Portfolio Settings', 'cassini' ),
			'page'          => array( 'la_portfolio' ),
			'context'       => 'normal',
			'priority'      => 'high',
			'callback_args' => false,
			'fields'        => array(
                '_la_bg' => array(
                    'type'               => 'media',
                    'title'              => esc_html__( 'Background Image', 'cassini' ),
                    'description'        => esc_html__( 'This option will work on some cases.', 'cassini' ),
                    'library_type'       => 'image',
                    'multi_upload'       => false,
                    'value_format'       => 'id',
                    'upload_button_text' => esc_html__( 'Set Image', 'cassini' ),
                ),
				'_pf_gallery' => array(
					'type'               => 'media',
					'title'              => esc_html__( 'Image Gallery', 'cassini' ),
					'description'        => esc_html__( 'Choose image(s) for the gallery. This setting is used for your gallery.', 'cassini' ),
					'library_type'       => 'image',
					'upload_button_text' => esc_html__( 'Set Gallery Images', 'cassini' ),
				),
				'_pf_description' => array(
					'type'        => 'wysiwyg',
					'title'       => esc_html__( 'Short Description', 'cassini' ),
					'rows'        => 5
				),
				'_pf_client' => array(
					'type'        => 'text',
					'title'       => esc_html__( 'Client', 'cassini' ),
				),
				'_pf_date' => array(
					'type'        => 'text',
					'title'       => esc_html__( 'Date', 'cassini' ),
				),
                '_pf_location' => array(
					'type'        => 'text',
					'title'       => esc_html__( 'Location', 'cassini' ),
				),
                '_pf_designer' => array(
					'type'        => 'text',
					'title'       => esc_html__( 'Designer', 'cassini' ),
				),
				'_pf_awards' => array(
					'type'        => 'text',
					'title'       => esc_html__( 'Awards', 'cassini' ),
				),
				'_pf_link1' => array(
					'type'        => 'text',
					'title'       => esc_html__( 'Demo Link 1', 'cassini' ),
				),
				'_pf_link2' => array(
					'type'        => 'text',
					'title'       => esc_html__( 'Demo Link 2', 'cassini' ),
				),
			),
		) );

		lastudio_kit_post_meta()->add_options( array (
			'id'            => 'cassini-post-settings',
			'title'         => esc_html__( 'Post Settings', 'cassini' ),
			'page'          => array( 'post' ),
			'context'       => 'normal',
			'priority'      => 'high',
			'callback_args' => false,
			'fields'        => array(
				'_la_bg' => array(
					'type'               => 'media',
					'title'              => esc_html__( 'Background Image', 'cassini' ),
					'description'        => esc_html__( 'This option will work on some cases.', 'cassini' ),
					'library_type'       => 'image',
					'multi_upload'       => false,
					'value_format'       => 'id',
					'upload_button_text' => esc_html__( 'Set Image', 'cassini' ),
				),
				'post_formats' => array(
					'type' => 'component-tab-horizontal',
					'ignore_save'   => true,
				),
				'gallery_tab' => array(
					'type'      => 'settings',
					'ignore_save'   => true,
					'parent'    => 'post_formats',
					'title'     => esc_html__( 'Gallery', 'cassini' ),
				),
				'_la_gallery_images' => array(
					'type'               => 'media',
					'parent'             => 'gallery_tab',
					'title'              => esc_html__( 'Image Gallery', 'cassini' ),
					'description'        => esc_html__( 'Choose image(s) for the gallery. This setting is used for your gallery post formats.', 'cassini' ),
					'library_type'       => 'image',
					'multi_upload'       => true,
					'value_format'       => 'id',
					'upload_button_text' => esc_html__( 'Set Gallery Images', 'cassini' ),
				),
				'link_tab' => array(
					'type'      => 'settings',
					'ignore_save'   => true,
					'parent'    => 'post_formats',
					'title'     => esc_html__( 'Link', 'cassini' ),
				),
				'_la_link_text' => array(
					'type'        => 'text',
					'parent'      => 'link_tab',
					'title'       => esc_html__( 'Link Text', 'cassini' ),
					'description' => esc_html__( 'Enter your text. This setting is used for your link post formats.', 'cassini' ),
				),
				'_la_link' => array(
					'type'        => 'text',
					'parent'      => 'link_tab',
					'title'       => esc_html__( 'Link URL', 'cassini' ),
					'description' => esc_html__( 'Enter your external url. This setting is used for your link post formats.', 'cassini' ),
				),
				'_la_link_target' => array(
					'type'        => 'select',
					'parent'      => 'link_tab',
					'title'       => esc_html__( 'Link Target', 'cassini' ),
					'description' => esc_html__( 'Choose your target for the url. This setting is used for your link post formats.', 'cassini' ),
					'value'       => '_blank',
					'options'     => array(
						'_blank' => esc_html__('Blank', 'cassini'),
						'_self'  => esc_html__('Self', 'cassini'),
					),
				),
				'quote_tab' => array(
					'type'      => 'settings',
					'ignore_save'   => true,
					'parent'    => 'post_formats',
					'title'     => esc_html__( 'Quote', 'cassini' ),
				),
				'_la_quote_text' => array(
					'type'        => 'textarea',
					'parent'      => 'quote_tab',
					'title'       => esc_html__( 'Quote', 'cassini' ),
					'description' => esc_html__( 'Enter your quote. This setting is used for your quote post formats.', 'cassini' ),
				),
				'_la_quote_cite' => array(
					'type'        => 'text',
					'parent'      => 'quote_tab',
					'title'       => esc_html__( 'Cite', 'cassini' ),
					'description' => esc_html__( 'Enter the quote source. This setting is used for your quote post formats.', 'cassini' ),
				),
				'_la_quote_color' => array(
					'type'        => 'colorpicker',
					'parent'      => 'quote_tab',
					'title'       => esc_html__( 'Text Color', 'cassini' ),
				),
				'_la_quote_bg' => array(
					'type'        => 'colorpicker',
					'parent'      => 'quote_tab',
					'title'       => esc_html__( 'Background Color', 'cassini' ),
				),
				'video_audio_tab' => array(
					'type'      => 'settings',
					'ignore_save'   => true,
					'parent'    => 'post_formats',
					'title'     => esc_html__( 'Video & Audio', 'cassini' ),
				),
				'_la_video_link' => array(
					'type'        => 'text',
					'parent'      => 'video_audio_tab',
					'title'       => esc_html__( 'Link Video URL', 'cassini' ),
					'description' => esc_html__( 'Insert Youtube or Vimeo video link', 'cassini' ),
				),
			),
		) );
	}
}

add_action( 'after_setup_theme', 'cassini_setup_metaboxes', 6 );
